> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/view-complaints-history-by-id.md).

# View Complaints History by id

<mark style="color:blue;">**Api used to view complaint history by complaint id**</mark>

| Endpoint                                                                                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**/couapp/complaints/history/byId?complaintId= 809ec4c7-d81b-4d2b-9c66- 3011a6fae714**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description  |
| -------------------------------------- | --------------------- | --------- | --------- | ------------ |
| \[ROOT] (No parent property / element) | complaintId           | M         | String    | Complaint id |

<mark style="color:blue;">**Response Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element | Property/Element Name | Mandatory | Data Type | Description                                              |
| ----------------------- | --------------------- | --------- | --------- | -------------------------------------------------------- |
| complaintsHistories     | complaintId           | M         | String    | Id for the complaint disposion                           |
|                         | complaintDescr        | M         | String    | Complaint description                                    |
|                         | complaintDispos       | M         | String    | Complaint disposition                                    |
|                         | txnId                 | M         | String    | Transaction id for which the complaint is raised agains  |
|                         | complaintHistoryId    | M         | String    | Complaint History ID                                     |
|                         | assignedTo            | M         | String    | To Whom the complaint is assigned                        |
|                         | complaintNpciId       | M         | String    | Npci id of the complaint                                 |
|                         | complaintRaisedFrom   | M         | String    | Who raised the complaint                                 |
|                         | userId                | M         | String    | User id of the one who raised the complaint              |
|                         | status                | M         | String    | Status of the complaint                                  |
|                         | refId                 | M         | String    | Reference id                                             |
|                         | complaintType         | M         | String    | Complaint Type (internalComplaint,npciComplaint)         |
|                         | modifiedDate          | M         | String    | ISO 8601 Timestamp for the Complaint Modification date   |
|                         | modifiedEpochDate     | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Modification date |
| generalResp             | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                      |
|                         | status                | M         | String    | It is either “Success” or failure                        |
|                         | message               | M         | String    | Contains the reason message for failure / success        |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
{
"complaintsHistories": [
{
"complaintHistoryId": "26dd6ae7-235f-425a-9c10-b546bb10fffc", 
"complaintId": "809ec4c7-d81b-4d2b-9c66-3011a6fae714", 
"complaintDescr": "Issue reassigning",
"complaintDispos": "Transaction Successful, account not updated", 
"txnId": "155a4a71-141f-40fd-b772-9d0e020963e8",
"assignedTo": "Federal Bank", 
"complaintNpciId": "FE4123109776644", 
"complaintType": "npciComplaint", 
"complaintRaisedFrom": "agent", 
"userId": "FE41FE42BNK519012345",
"status": "COMPLAINT_REASSIGN_REQUEST_SUCCESS", 
"modifiedDate": "2023-04-20T18:24:20.408824Z",
"modifiedEpochDate": 1681995260, 
"tenantId": "FE41"
}
],
"generalResp": {
"message": "Complaints retrieved successfully",
"remarks": "",
"status": "success", 
"statusCode": "200"
},
"pageNo": 0,
"pageSize": 1,
"totalPages": 1,
"totalElements": 1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/view-complaints-history-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
